"""Provide generic Exceptions and Warnings for eopf modules"""

from .errors import (
    AccessorNotDefinedError,
    AccessorNotOpenError,
    DaskProfilerError,
    EOContainerSetitemError,
    EOGroupExistError,
    EOObjectMultipleParentError,
    EOQCConfigMalformed,
    EOQCConfigMissing,
    EOQCInspectionMalformed,
    EOQCInspectionMissing,
    FormattingDecoratorMissingUri,
    FormattingError,
    InvalidProductError,
    JSONParsingError,
    LoggingConfigurationDirDoesNotExist,
    LoggingConfigurationFileIsNotValid,
    LoggingConfigurationFileTypeNotSupported,
    LoggingConfigurationNotRegistered,
    LoggingDictConfigurationInvalid,
    MissingConfigurationParameterError,
    ProductNotLoaded,
    ProgressConfigurationError,
    ProgressStepProgress,
    SingleThreadProfilerError,
    StoreMissingAttr,
    StoreNotDefinedError,
    StoreNotOpenError,
    TriggeringConfigurationError,
    XmlManifestNetCDFError,
    XmlParsingError,
)

__all__ = [
    "EOGroupExistError",
    "EOObjectMultipleParentError",
    "InvalidProductError",
    "MissingConfigurationParameterError",
    "StoreNotDefinedError",
    "StoreNotOpenError",
    "AccessorNotDefinedError",
    "AccessorNotOpenError",
    "XmlParsingError",
    "JSONParsingError",
    "LoggingConfigurationDirDoesNotExist",
    "LoggingConfigurationFileTypeNotSupported",
    "LoggingConfigurationNotRegistered",
    "LoggingConfigurationFileIsNotValid",
    "DaskProfilerError",
    "SingleThreadProfilerError",
    "FormattingError",
    "FormattingDecoratorMissingUri",
    "XmlManifestNetCDFError",
    "EOQCConfigMissing",
    "EOQCConfigMalformed",
    "EOQCInspectionMissing",
    "EOQCInspectionMalformed",
    "TriggeringConfigurationError",
    "ProgressConfigurationError",
    "ProgressStepProgress",
    "ProductNotLoaded",
    "StoreMissingAttr",
    "LoggingDictConfigurationInvalid",
    "EOContainerSetitemError",
]
